<?xml version="1.0" encoding="UTF-8"?>
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html"
                template="../../templates/main-template.xhtml">


    <ui:define name="content">
        <h:form>
            <p:panel id="panel" header="Search User" style="margin-bottom:10px;">
                <p:messages id="messages"/>

                <h:panelGrid columns="4" cellpadding="5">
                    <h:outputLabel for="user" value="User: *"/>
                    <p:inputText  id="user" value="#{user.login}" required="true" placeholder="">
                        <f:validateLength minimum="2"/>
                    </p:inputText>
                    <h:outputText value="#{userBean.user.login}"/>
                    <h:outputText value="#{userBean.user.role}"/>
                    <h:outputText value="#{userBean.user.email}"/>
                </h:panelGrid>
            </p:panel>

        </h:form>
    </ui:define>
</ui:composition>